Class | Compass::SassExtensions::Sprites::Image
In: | lib/compass/sass_extensions/sprites/image.rb
Parent: | Object

### Methods

active active? digest file height hover hover? mtime name new offset parent position repeat spacing target target? width

### Constants

ACTIVE | = | %r{[_-]active$}
TARGET | = | %r{[_-]target$}
HOVER | = | %r{[_-]hover$}
PARENT | = | %r{(.+)[-_](.+)$}

### Attributes

base | [R] |
left | [RW] |
options | [R] |
relative_file | [R] |
top | [RW] |

### Public Class methods

new(base, relative_file, options)

### Public Instance methods

active()

Active selector Image object if exsists

active?()

Is active selector

digest()

MD5 hash of this file

file()

The Full path to the image

height()

Height of the image

hover()

Hover selector Image object if exsists

hover?()

Is hover selector

mtime()

mtime of this file

name()

Basename of the image

offset()

Offset within the sprite

parent()
position()

Value of `$#{name}-position` or `$position` defaults o `0px`

repeat()

Value of `$#{name}-repeat` or `$repeat`

spacing()

Spacing between this image and the next

target()

Target selector Image object if exsists

target?()

Is target selector

width()

Width of the image

[Validate]